package com.ruoyi.project.sems.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.TMeasureRecord;

/**
 * 测厚记录Service接口
 * 
 * @author ruoyi
 * @date 2021-07-08
 */
public interface ITMeasureRecordService  extends IService<TMeasureRecord>
{
    /**
     * 查询测厚记录
     * 
     * @param id 测厚记录ID
     * @return 测厚记录
     */
    public TMeasureRecord selectTMeasureRecordById(Long id);

    /**
     * 查询测厚记录列表
     * 
     * @param tMeasureRecord 测厚记录
     * @return 测厚记录集合
     */
    public List<TMeasureRecord> selectTMeasureRecordList(TMeasureRecord tMeasureRecord);

    /**
     * 新增测厚记录
     * 
     * @param tMeasureRecord 测厚记录
     * @return 结果
     */
    public int insertTMeasureRecord(TMeasureRecord tMeasureRecord);

    /**
     * 修改测厚记录
     * 
     * @param tMeasureRecord 测厚记录
     * @return 结果
     */
    public int updateTMeasureRecord(TMeasureRecord tMeasureRecord);

    /**
     * 批量删除测厚记录
     * 
     * @param ids 需要删除的测厚记录ID
     * @return 结果
     */
    public int deleteTMeasureRecordByIds(Long[] ids);

    /**
     * 删除测厚记录信息
     * 
     * @param id 测厚记录ID
     * @return 结果
     */
    public int deleteTMeasureRecordById(Long id);

    List<TMeasureRecord> queryRecords(String id);

    void deleteTMeasureRecordByDate(TMeasureRecord t);
}
